Iphone 4 IOS 8

Discussion in 'iPhone Tips, Help and Troubleshooting' started by tomasmikula39, Feb 4, 2017.

  1. tomasmikula39 macrumors newbie

    Joined:
    Feb 4, 2017
    #1
    Today i bought Iphone 4 and i found out that i cant download any apps because my iphone has IoS 7.1.2 and i have to have IOS 8 if i want to download anything and i dont know what to do. Please help me :(
     
  2. chscag macrumors 68000

    Joined:
    Feb 17, 2008
    Location:
    Fort Worth, Texas
    #2
    You can not install iOS 8 on your iPhone 4. You would need at least an iPhone 4s. I have to ask... why did you buy such an old model iPhone? You could have easily purchased an iPhone 5 or 5c that would not have been expensive. If you can, return the iPhone 4 and get your money refunded.
     
  3. tomasmikula39 thread starter macrumors newbie

    Joined:
    Feb 4, 2017
    #3
    I just needed cheap phone for work and i dont need to upgrade Ios i just want to know if there is way to download apps now because last week my friend bought the same one and she doesnt have any problem.
     
  4. eyoungren macrumors P6

    eyoungren

    Joined:
    Aug 31, 2011
    Location:
    Online
    #4
    The iPhone 4 and the iPhone 4s look identical. But only the 4s can run anything higher than iOS 7.

    Your friend probably has a 4s.

    It is impossible to get iOS 8 on an iPhone 4. Your only options are to return it and get your money back or live with it and get a phone that can run iOS 8 or higher.
     
  5. C DM macrumors Westmere

    Joined:
    Oct 17, 2011
    #5
    Sounds like your friend got a 4s most likely. There are still games and apps that should work with iOS 7, but certainly less and less of them over time. Have you tried downloading different ones?
     
  6. Reno Raines macrumors 6502a

    Joined:
    Jul 19, 2015
    #6
    Yep. iOS 7 is it. Sorry but the 5 or even better the 5s is the best bet for a cheaper iPhone.
     
  7. T'hain Esh Kelch macrumors 601

    T'hain Esh Kelch

    Joined:
    Aug 5, 2001
    Location:
    Denmark
    #7
    That is wrong. Just go to the app store like with every other iOS/iPhone since 2.0.
     

Share This Page